<div class="flex">
  <mat-card class="m-5 mat-elevation-z4">
    <mat-card-header>
      <mat-card-title>Formulaire</mat-card-title>
    </mat-card-header>

    <mat-card-content>
      <mat-divider inset="true"></mat-divider>

      <mat-progress-bar
        mode="indeterminate"
        [ngStyle]="{ visibility: loading ? 'visible' : 'hidden' }"
        class="mb-3"
      ></mat-progress-bar>
      <div>
        <form [formGroup]="formGroup" (ngSubmit)="submitForm()">
          <!-- --------------------------- Premiere ligne ---------------------------- -->

          <!-- ----------------------------------------------------------------------- -->
          <!--                              Date et heure                              -->
          <!-- ----------------------------------------------------------------------- -->

          <div class="flex flex-row justify-around gap-20">
            <mat-form-field appearance="outline">
              <mat-label>Heure</mat-label>
              <input
                type="time"
                required
                matInput
                formControlName="auditTime"
              />
            </mat-form-field>

            <!-- ----------------------------------------------------------------------- -->
            <!--                                 Equipe                                  -->
            <!-- ----------------------------------------------------------------------- -->

            <!-- <mat-form-field appearance="outline">
<mat-label>Equipe</mat-label>
<input required matInput formControlName="currentEquipe" />
</mat-form-field> -->

            <!-- ----------------------------------------------------------------------- -->
            <!--                                 Modèle                                  -->
            <!-- ----------------------------------------------------------------------- -->

            <mat-form-field appearance="outline">
              <mat-label>Modèle</mat-label>

              <ng-container *ngIf="auditReceived; else elseTemplate">
                <input
                  matInput
                  disabled
                  value="{{ auditReceived.article.modele }}"
                />
              </ng-container>
              <ng-template #elseTemplate>
                <mat-select required formControlName="selectedAuditModele">
                  <mat-option
                    *ngFor="let modele of auditModeles"
                    [value]="modele"
                    >{{ modele.modele }}</mat-option
                  >
                </mat-select>
              </ng-template>
            </mat-form-field>

            <!-- ----------------------------------------------------------------------- -->
            <!--                                 N° Plan                                 -->
            <!-- ----------------------------------------------------------------------- -->

            <mat-form-field appearance="outline">
              <mat-label>Part Number</mat-label>
              <input
                required
                matInput
                readonly
                formControlName="selectedPartNumber"
              />
            </mat-form-field>

            <!-- ----------------------------------------------------------------------- -->
            <!--                                  Pause                                  -->
            <!-- ----------------------------------------------------------------------- -->
          </div>

          <!-- --------------------------- Deuxieme ligne ---------------------------- -->

          <div class="flex flex-row justify-around gap-20">
            <!--
<mat-form-field appearance="outline">
<mat-label>Pause</mat-label>
<mat-select required formControlName="selectedPause">
<mat-option *ngFor="let pause of pauses" [value]="pause">{{
pause
}}</mat-option>
</mat-select>
</mat-form-field>
-->
            <!-- ----------------------------------------------------------------------- -->
            <!--                                Auditeur                                 -->
            <!-- ----------------------------------------------------------------------- -->

            <!-- <mat-form-field appearance="outline">
<mat-label>Auditeur</mat-label>
<input required matInput formControlName="currentAuditeur" />
</mat-form-field> -->

            <!-- ----------------------------------------------------------------------- -->
            <!--                              Code Article                               -->
            <!-- ----------------------------------------------------------------------- -->

            <mat-form-field appearance="outline">
              <mat-label>Code article</mat-label>
              <input
                formControlName="selectedArticle"
                type="number"
                minlength="7"
                matInput
                required
                [matAutocomplete]="auto"
                placeholder="Code Article"
              />
              <mat-autocomplete
                #auto="matAutocomplete"
                required
                [displayWith]="getOptionText"
              >
                <mat-option
                  *ngFor="let option of filteredArticles"
                  [value]="option"
                  >{{ option.codeArticle }}</mat-option
                >
              </mat-autocomplete>
            </mat-form-field>

            <!-- ----------------------------------------------------------------------- -->
            <!--                              N° Container                               -->
            <!-- ----------------------------------------------------------------------- -->

            <mat-form-field appearance="outline">
              <mat-label>N° Container</mat-label>
              <input
                type="number"
                required
                matInput
                formControlName="nContainer"
              />
            </mat-form-field>

            <!-- ----------------------------------------------------------------------- -->
            <!--                               Tracabilité                               -->
            <!-- ----------------------------------------------------------------------- -->

            <mat-form-field appearance="outline">
              <mat-label>Tracabilité</mat-label>
              <input required matInput formControlName="tracabilite" />
            </mat-form-field>
          </div>

          <!-- --------------------------- Troisieme ligne --------------------------- -->

          <!-- ----------------------------------------------------------------------- -->
          <!--                                  Ligne                                  -->
          <!-- ----------------------------------------------------------------------- -->

          <div class="flex flex-row justify-around gap-20">
            <mat-form-field appearance="outline">
              <mat-label>Ligne</mat-label>
              <mat-select required formControlName="selectedAuditLigne">
                <mat-option
                  *ngFor="let auditLigne of auditProcess"
                  [value]="auditLigne"
                  >{{ auditLigne.nomProcess }}</mat-option
                >
              </mat-select>
            </mat-form-field>

            <!-- ----------------------------------------------------------------------- -->
            <!--                                  Four                                   -->
            <!-- ----------------------------------------------------------------------- -->

            <mat-form-field appearance="outline">
              <mat-label>Four</mat-label>
              <mat-select required formControlName="selectedAuditFour">
                <mat-option *ngFor="let four of fours" [value]="four">{{
                  four
                }}</mat-option>
              </mat-select>
            </mat-form-field>

            <!-- ----------------------------------------------------------------------- -->
            <!--                                 Teinte                                  -->
            <!-- ----------------------------------------------------------------------- -->

            <mat-form-field appearance="outline">
              <mat-label>Teinte</mat-label>
              <input
                required
                matInput
                disable
                readonly
                formControlName="selectedTeinte"
              />
            </mat-form-field>
          </div>
        </form>
      </div>
    </mat-card-content>
  </mat-card>
</div>
